| Home | Libraries | People | FAQ | More

## Struct template post_dec

boost::proto::post_dec — A metafunction for generating post-decrement expression types, a grammar element for matching post-decrement expressions, and a PrimitiveTransform that dispatches to the `proto::pass_through<>` transform.

## Synopsis

    // In header: <boost/proto/traits.hpp>

    template<typename T>
    struct post_dec :  proto::transform< post_dec<T> > {
      // types
      typedef proto::expr< proto::tag::post_dec, proto::list1< T > >                               type;
      typedef
                proto::basic_expr< proto::tag::post_dec, proto::list1< T > >
               proto_grammar;

      // member classes/structs/unions
      template<typename Expr, typename State, typename Data>
      struct impl :
         proto::pass_through<post_dec>::template impl<Expr, State, Data>
      {
      };
    };

## Description